/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.section /dm    amp;

/* AM Control Knobs */
#define WaveSize  	4000
#define krok 10     		
	
.var   	sine[WaveSize] = "sinetbl.dat";	//przepisanie probek z pliku
.var    out[WaveSize];   
//.var    wsp = 2.0 ;       //wa rtosc amplitudy



.section /pm pm_code;

        Bit Set MODE1 CBUFEN;
		B0 = sine;  					
		L0 = @sine;         			
		M0 = krok;		

		B1 = sine;  					
		L1 = @sine;         			
		M1 = krok;
		
		B2 = out;
		L2 = @out;
		M2 = 1;


Amplitude:
    //r1 = DM(wsp); 							/* desired increment c - frequency f = c x fs / WaveSize */
    r2 = dm(i1, m1);					/* get next value in wavetable */
    //r4 = r1 * r2 (SSFR);				/* r4 = A(t) * sin(2*pi*f*t) */
	/* write output sample to AD1836 Master Codec channels */
   	//dm(Left_Channel_Out0)  = r2;
   	dm(i2, m2)=r2;       	/* left output sample */
 //  	dm(Right_Channel_Out0) = r4;	   	/* right output sample */
			
//	rts;
jump Amplitude;

koniec: nop ;
		nop;
		nop;
     jump koniec;

Amplitude.end:

